NetSquid-BitEncoding (0.1.0)
================================

Description
-----------

This is a user contributed _snippet_ for the [NetSquid quantum network simulator](https://netsquid.org).

Snippet for classical channels that encode the messages into bits and adds bit and burst errors to the classical messages

Installation
------------

See the [INSTALL file](INSTALL.md) for instruction of how to install this snippet.

Documentation
-------------

So build and see the docs see the [docs README](docs/README.md).

Usage
-----

With this module you can encode and decode your classical messages on classical channels into bits.  
Instantiate a `ClassicalChannel` with a `BitErrorRateNoiseModel` or `BurstErrorModel` 
that apply noises on the classical bits

Contributors
------------

* Matt Skrzypczyk
* Ariana Knoop
* Rob Knegjens
* Leon Wubben


License
-------

**TEMPLATE**: specify the license applicable to your package.

The NetSquid-SnippetTemplate has the following license:

> Copyright 2018 QuTech (TUDelft and TNO)
> 
>   Licensed under the Apache License, Version 2.0 (the "License");
>   you may not use this file except in compliance with the License.
>   You may obtain a copy of the License at
> 
>     http://www.apache.org/licenses/LICENSE-2.0
> 
>   Unless required by applicable law or agreed to in writing, software
>   distributed under the License is distributed on an "AS IS" BASIS,
>   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
>   See the License for the specific language governing permissions and
>   limitations under the License.
